## 2025-05-23 - v0.10.0

- refactored release build script
- removed BusyBox from binary package, making it architecture independent
- capped USB system partition to 32 GiB, and restored its type to ef00 (EFI)
for better compatibility (albeit loosing extra space usability)


## 2024-03-05 - v0.9.8

- added support for Hyprland keyboard layout
- Slackware packages can now be build from Arch Linux (without makepkg)


## 2023-04-30 - v0.9.7

- added 'aarch64' support for Arch Linux
- fixed Arch Linux initrd / initramfs name
- added support for Qemu / VirtIO disks (/dev/vda, ...)


## 2022-09-23 - v0.9.6

- fixed repair function


## 2022-06-17 - v0.9.5

- added new compression option, with new default (zstd)
- extended and renamed `--grub` action to `--repair`
- removed unstable, undocumented and unused features (live update)
- rewritten and simplified generation of initial RAM filesystems
- improved script quality (strict mode, local & readonly variables,
better use of BASH features)
- fixed timezones in default grub.cfg
- tested with xubuntu-22.04, slackware64-15.0, Arch Linux


## 2022-02-27 - v0.9.4

- tested and fixed Slackware support


## 2021-09-01 - v0.9.3

- added support for zstd kernel modules in Arch Linux (fix)


## 2021-06-02 - v0.9.2

- fixed default keyboard for Gnome (Wayland)
- fixed possibly missing /boot/grub directory
- fixed user additional groups (wheel, ...) on home setup
- enabled grub-default=saved


## 2021-01-12 - v0.9.1

- added `--bios` boot option to enable legacy boot on USB device
- fixed additional modules inclusion
- fixed missing loop devices (Arch Linux)
- fixed compressed kernel modules (Arch Linux)
- fixed live over NFS boot
- easier customization of LIVELABEL, LIVEDIR and LIVEHOME using environment variables
- persistent data home directories are now created by `--usb` action (enables
autologin during first boot)
- improved documentation (notably for live over NFS setup)


## 2020-10-08 - v0.9.0

- unified live-system initial RAM disk using Busybox
- added support for booting into a Busybox console (using `mode=busybox` kernel parameter)
- added support for Debian / Ubuntu
- restored support for legacy / BIOS boot
- added feature to enable ISO flash on USB devices (ISO in now hybrid)
- Xorriso (GRUB dependency) is now required (removed CdrTools & CdrKit support)


## 2020-07-29 - v0.8.4

- minor cosmetic fixes
- Slackware: removed autologin support when using `xdm`


## 2020-07-03 - v0.8.3

- fixed `--home` and `--grub` actions
- improved quick-start documentation


## 2020-06-24 - v0.8.2

- fixed `--usb` action


## 2020-06-16 - v0.8.1

- new web site generator and logo
- added confirmation request before performing a destructive operation


## 2020-04-03 - v0.8

- removed support for BIOS/CSM firmware, MsDOS/Intel partitionned disks and
32 bits systems, resulting in simplified live boot system & partionning (now
GPT/EFI-64 only)
- installing on USB device can now be done manually by file copy
- new optional parameter for `--usb` action to choose system partition size
- added `sys=Label:path` boot option (defaults to `LiveSystem/linomad`), `nfsroot`
boot option was also renamed to `sys`
- now use UUID in `/etc/fstab`
- simplified GRUB configuration (no more font or background)
- added support for install device with different name than `sda` (`nvme0n1`
for example)
- `--home` action does not attempt to format partition any more
- removed `--sysprep` action
- removed `-auto` option for `--install` action (install EFI GRUB anyway)


## History:

- 2017-2020, Live-System (rename) - added support for Arch Linux
- 2010-2017, Slackware-Live (public Slackware live system build script, extracted
from LiNomad) - added support for UEFI (Unified Extended Firmware Interface)
- 2004-2010, LiNomad (customized Slackware live system - like ZenLive - not
distributed)
